import java.io.*;
import java.util.Locale;
import java.util.Scanner;

public class Experiment {
	
   public static void main (String [] argv) {
PhysicsElement[] element = new PhysicsElement[5];
      
Vector2D pos1 = new Vector2D(0f, 0f);         //posicion del bloque 1     
Vector2D pos2 = new Vector2D(2f, -1f);         //posicion del bloque 2
Vector2D pos3 = new Vector2D(1f, 1f);         //posicion del bloque 3 

Vector2D vel1 = new Vector2D(0f, 0f);         //velocidad del resorte 1
Vector2D vel2 = new Vector2D(0f, 0f);         //velocidad del resorte 2 
Vector2D vel3 = new Vector2D(0f, 0f);         //velocidad del resorte 3

Block b1 = new Block(1e15f, 0f, pos1, vel1);   
Block b2 = new Block(1f,    0f, pos2, vel2);  
Block b3 = new Block(1e15f, 0f, pos3, vel3);

Spring spring_a = new Spring (1f, 1f);  // rest length and stiffness
Spring spring_b = new Spring (1f, 1f);  // rest length and stiffness

spring_a.attachLeftBlock(b1);    
spring_a.attachRightBlock(b2);
spring_b.attachLeftBlock(b2);
spring_b.attachRightBlock(b3);

b1.attachRightSpring (spring_a);  
b2.attachLeftSpring (spring_a);
b2.attachRightSpring (spring_b); 
b3.attachLeftSpring (spring_b);

element[0] = b1;
element[1] = spring_a;
element[2] = b2;
element[3] = spring_b;
element[4] = b3;


      Simulator sim;
      float deltat,totalt,samplet;
      PrintStream configOut = new PrintStream(System.out);
      Scanner in = new Scanner(System.in);
      in.useLocale(Locale.US);					//use American number format (. for decimals)
      
      try {
      if (argv.length > 0){						//is there an argument?
    	  	PrintStream out;
    	  	out = new PrintStream(argv[0]);
    	  	sim = new Simulator (out);   
      }
      else {
          sim = new Simulator (); // do not change this class, 
      }
   
      //set simulation variables
      configOut.print("Ingrese delta (en segundos):");
      deltat = in.nextFloat();
      configOut.print("Ingrese tiempo a simular (en segundos):");
      totalt = in.nextFloat();
      configOut.print("Ingrese tiempo entre escrituras en la salida del estado del sistema (en segundos):");
      samplet = in.nextFloat();
 
      
      sim.setPhysicsElements(element);
      sim.simulate(deltat, totalt, samplet); // delta time, total time, sampling time.
      }catch (FileNotFoundException e) {
		  e.printStackTrace();
	}
   } 
}    
